<?php

class VcCustomParams {

    public function __construct() {
        add_action('vc_load_default_params', array(
            $this,
            'vc_load_vc_custom_radio_param',
        ));
       
        add_action('vc_load_default_params', array(
            $this,
            'vc_load_vc_custom_contact_form_seven_param',
        ));
 
    }
    /**
     * Add custom param to system
     */
    public function vc_load_vc_custom_radio_param() {

        vc_add_shortcode_param('custom_contact_form_seven', array($this, 'custom_cf_seven',));

    }


    // Function for registering the custom_woocom_products custom param type
    function custom_cf_seven($settings, $value) {
        ob_start();
        $args = array('post_type' => 'wpcf7_contact_form', 'post_status' => 'publish', 'posts_per_page' => -1);
        ?>
        <div class="select_fa_icon_bb_param_block">
            <select name="<?php echo esc_attr($settings['param_name']); ?>" class="wpb_vc_param_value wpb-textinput js-icon-input <?php echo esc_attr($settings['param_name']) . ' ' . esc_attr($settings['type']); ?>_field" id="<?php echo esc_attr($settings['param_name']); ?>">
                <?php
                if ($data = get_posts($args)) {
                    ?><option value="">Select Contact Form</option><?php
                    foreach ($data as $key):
                        $selected = $value == $key->ID ? 'selected' : '';
                        ?><option <?php echo esc_attr($selected); ?> value="<?php echo esc_attr($key->ID); ?>"><?php echo esc_html($key->post_title); ?></option><?php
                    endforeach;
                }else {
                    ?><option value="0">No Contact Form found</option><?php
                }
                ?>
            </select> 
        </div>
        <?php
        return ob_get_clean();
    }


}
