<?php
/**
 * Plugin Name: kitbe Widget
 * Plugin URI: #
 * Description: This plugin adds the core features to the ConC WordPress theme. You must have to install this plugin to work with this theme.
 * Version: 1.1
 * Author: DroitTheme
 * Author URI: #
 * Text domain: kitbe_widget
 */

if ( !defined('ABSPATH') )
    die('-1');

/**
 * Defining plugin constants
 */
define('kitbe_CORE_FILE', plugin_dir_path(__FILE__));
define('kitbe_CORE_DIR', plugins_url(__FILE__));
define("kitbe_SHORTCODE_IMG", plugin_dir_url(__FILE__) . 'shortcodes/images');

/**
 * Register the plugin text domain
 *
 * @return void
 */
add_action( 'plugins_loaded', function() {
    load_plugin_textdomain( 'kitbe_widget', false, plugin_basename( dirname( __FILE__ ) ) . '/languages' );
});

// Require the Shortcode main function File
require kitbe_CORE_FILE . '/inc/vc_config.php';

// Custom Functions
require kitbe_CORE_FILE . '/inc/extra.php';
require kitbe_CORE_FILE . '/inc/support_icons.php';
require kitbe_CORE_FILE . '/inc/vc-custom-params/vc-custom-params.php';


// 
require kitbe_CORE_FILE . '/widgets/widgets.php';

